Summary:	    A powerful command-line packet analyzer
Name: 		    tcpdump
Version: 	    4.99.4
Release:	    1%{?dist}
License:	    3-clause BSD
URL:		    http://www.tcpdump.org
Source0:	    http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Source1:	    ftp://ftp.ee.lbl.gov/tcpslice-1.5.tar.gz
Source2:	    tcpdump-sysusers.conf

Patch3000:      0002-Use-getnameinfo-instead-of-gethostbyaddr.patch
Patch3001:      0003-Drop-root-priviledges-before-opening-first-savefile-.patch
Patch3002:      0007-Introduce-nn-option.patch
Patch3003:      0009-Change-n-flag-to-nn-in-TESTonce.patch

BuildRequires:	make automake openssl-devel libpcap-devel git-core gcc
BuildRequires:	systemd-rpm-macros
Requires(pre):	shadow-utils

%description
Tcpdump prints out a description of the contents of packets on a network 
interface that match the Boolean expression; the description is preceded 
by a time stamp, printed, by default, as hours, minutes, seconds, and  
fractions of a second since midnight. In all cases, only packets that match  
expression will be processed by tcpdump.

%prep
%autosetup -a 1 -S git

%build
export CFLAGS="%optflags $(getconf LFS_CFLAGS) -fno-strict-aliasing"

pushd tcpslice-1.5
automake -a -f 2>/dev/null || :
%configure
%make_build
popd

%configure --with-crypto --with-user=tcpdump --without-smi
%make_build

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8

install -m 0755 tcpdump %{buildroot}%{_sbindir}
install -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysusersdir}/tcpdump.conf
install -m 0644 tcpdump.1 %{buildroot}%{_mandir}/man8/tcpdump.8

pushd tcpslice-1.5
install -m 0755 tcpslice %{buildroot}%{_sbindir}
install -m 0644 tcpslice.1 %{buildroot}%{_mandir}/man8/tcpslice.8
popd

sed -i "s/\(\.TH [A-Z]* \)1/\18/g" %{buildroot}%{_mandir}/man8/*

%check
make check

%pre
%sysusers_create_compat %{SOURCE2}

%files
%license LICENSE
%doc README.md CHANGES CREDITS
%{_sysusersdir}/tcpdump.conf
%{_sbindir}/tcpdump
%{_sbindir}/tcpslice
%{_mandir}/man8/tcpslice.8*
%{_mandir}/man8/tcpdump.8*

%changelog
* Wed Jan 17 2024 Upgrade Robot <upbot@opencloudos.org> - 4.99.4-1
- Upgrade to version 4.99.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.99.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.99.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.99.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 6 2022 Xiaojie Chen <jackxjchen@tencent.com> - 4.99.1-1
- Initial build
